# Generated automatically from Makefile.in by configure.
# $Id: Makefile,v 1.1.1.1 2000/03/10 16:32:17 engin Exp $

GOAL   = libgnug++.a

OBJS   = SymbolConjunctPtr.Bag.o  SymbolConjunctPtr.SplayBag.o \
	SymbolConjunctPtr.SplayNode.o \
	NormalTermPtr.DLList.o \
	int.int.Map.o  int.int.VHMap.o \
	unsigned.OXPSet.o unsigned.Plex.o unsigned.Set.o unsigned.XPlex.o \
	CacheKey.CacheValue.AVLMap.o CacheKey.CacheValue.Map.o \
	Regex.o  regex.o \
	BitSet.o AllocRing.o builtin.o gcd.o fmtq.o

SRCS   = SymbolConjunctPtr.Bag.cc SymbolConjunctPtr.SplayBag.cc \
	SymbolConjunctPtr.SplayNode.cc \
	NormalTermPtr.DLList.cc \
	int.int.Map.cc  int.int.VHMap.cc \
	unsigned.OXPSet.cc unsigned.Plex.cc unsigned.Set.cc unsigned.XPlex.cc \
	CacheKey.CacheValue.AVLMap.cc CacheKey.CacheValue.Map.cc \
	Regex.cc regex.c \
	BitSet.cc AllocRing.cc builtin.cc gcd.cc fmtq.cc

HFILES = SymbolConjunctPtr.Bag.h  SymbolConjunctPtr.SplayBag.h \
	SymbolConjunctPtr.SplayNode.h  SymbolConjunctPtr.defs.h \
	NormalTermPtr.DLList.h NormalTermPtr.defs.h \
	int.int.Map.h  int.int.VHMap.h int.defs.h \
	unsigned.OXPSet.h unsigned.Plex.h unsigned.Set.h unsigned.XPlex.h \
	unsigned.defs.h	\
	CacheKey.CacheValue.Map.h CacheKey.CacheValue.AVLMap.h CacheKey.defs.h \
	SetBit.h bitprims.h Regex.h BitSet.h AllocRing.h builtin.h regex.h

LIBS   =

# directories
srcdir		= .
top_srcdir	= ../..
INCDIRS		= -I$(srcdir) -I. -I$(top_srcdir)/src -I.. -I$(top_srcdir)/src/Core -I$(top_srcdir)/src/rpsl 

# programs

SHELL           = /bin/sh
RANLIB          = ranlib
CC              = gcc
CXX             = c++
BISON           = bison -y
FLEX            = flex
LD              = c++
PERL            = @PERL_PATH@
INSTALL         = ../.././install-sh -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA    = ${INSTALL} -m 644

# The default location for installation.
prefix      = /usr/local
exec_prefix = ${prefix}
bindir      = ${exec_prefix}/bin
mandir      = ${prefix}/man
man1dir     = $(mandir)/man1
man8dir     = $(mandir)/man8

DEFINES  = -DHAVE_CONFIG_H
CFLAGS   = -O3 -gstabs+
CPPFLAGS = 
LDFLAGS  = 
CXXFLAGS = -O3 -gstabs+ -frtti

.y.o:

.c.o:
	$(CC)  -c $(CPPFLAGS) $(CFLAGS) $(DEFINES) $(INCDIRS) $<

.cc.o:
	$(CXX) -c $(CPPFLAGS) $(CXXFLAGS) $(DEFINES) $(INCDIRS) $<

.SUFFIXES: .cc

#
# No need to make changes below
#
all: $(GOAL)

$(GOAL): $(OBJS)
	ar ruv $(GOAL) $?
	$(RANLIB) $(GOAL)

clean:
	rm -f core *.o *~ $(GOAL)

mostlyclean:
	rm -f core *.o *~

# make dependencies
depend:	${SRCS}
	$(CXX) -MM $(CPPFLAGS) $(CXXFLAGS) $(DEFINES) $(INCDIRS) $^ >makedep
	echo '/^# DO NOT DELETE THIS LINE/+1,$$d' >eddep
	echo '$$r makedep' >>eddep
	echo 'w' >>eddep
	cp Makefile Makefile.bak
	ed - Makefile < eddep
	rm eddep makedep
	echo '# DEPENDENCIES MUST END AT END OF FILE' >> Makefile
	echo '# IF YOU PUT STUFF HERE IT WILL GO AWAY' >> Makefile
	echo '# see make depend above' >> Makefile

# DO NOT DELETE THIS LINE
SymbolConjunctPtr.Bag.o: SymbolConjunctPtr.Bag.cc ../../src/config.h \
 SymbolConjunctPtr.Bag.h Pix.h SymbolConjunctPtr.defs.h \
 ../../src/normalform/SymbolConjunct.hh \
 ../../src/rpsl/gnu/SetOfSymID.hh ../../src/rpsl/gnu/SymID.VHSet.h \
 ../../src/rpsl/gnu/SymID.Set.h ../../src/rpsl/gnu/Pix.h \
 ../../src/rpsl/gnu/SymID.defs.h ../../src/rpsl/gnu/std.h \
 ../../src/util/debug.hh ../../src/rpsl/rpsl/symbols.hh \
 ../../src/Core/util/Allocator.hh ../../src/Core/util/xstring.h
SymbolConjunctPtr.SplayBag.o: SymbolConjunctPtr.SplayBag.cc \
 ../../src/config.h SymbolConjunctPtr.SplayBag.h \
 SymbolConjunctPtr.Bag.h Pix.h SymbolConjunctPtr.defs.h \
 ../../src/normalform/SymbolConjunct.hh \
 ../../src/rpsl/gnu/SetOfSymID.hh ../../src/rpsl/gnu/SymID.VHSet.h \
 ../../src/rpsl/gnu/SymID.Set.h ../../src/rpsl/gnu/Pix.h \
 ../../src/rpsl/gnu/SymID.defs.h ../../src/rpsl/gnu/std.h \
 ../../src/util/debug.hh ../../src/rpsl/rpsl/symbols.hh \
 ../../src/Core/util/Allocator.hh ../../src/Core/util/xstring.h \
 SymbolConjunctPtr.SplayNode.h
SymbolConjunctPtr.SplayNode.o: SymbolConjunctPtr.SplayNode.cc \
 ../../src/config.h SymbolConjunctPtr.SplayNode.h \
 SymbolConjunctPtr.defs.h ../../src/normalform/SymbolConjunct.hh \
 ../../src/rpsl/gnu/SetOfSymID.hh ../../src/rpsl/gnu/SymID.VHSet.h \
 ../../src/rpsl/gnu/SymID.Set.h ../../src/rpsl/gnu/Pix.h \
 ../../src/rpsl/gnu/SymID.defs.h ../../src/rpsl/gnu/std.h \
 ../../src/util/debug.hh ../../src/rpsl/rpsl/symbols.hh \
 ../../src/Core/util/Allocator.hh ../../src/Core/util/xstring.h
NormalTermPtr.DLList.o: NormalTermPtr.DLList.cc ../../src/config.h \
 NormalTermPtr.DLList.h Pix.h NormalTermPtr.defs.h \
 ../../src/normalform/NT.hh ../../src/normalform/FilterOfPrefix.hh \
 ../../src/normalform/Filter.hh ../../src/gnug++/Pix.h \
 ../../src/util/debug.hh ../../src/normalform/SetOfPrefix.hh \
 ../../src/normalform/RadixSet.hh ../../src/util/Stack.hh \
 ../../src/Core/util/List.hh ../../src/rpsl/rpsl/prefix.hh \
 ../../src/Core/util/FixedSizeAllocator.hh \
 ../../src/rpsl/gnu/prefixranges.hh \
 ../../src/rpsl/gnu/PrefixRange.XPlex.h \
 ../../src/rpsl/gnu/PrefixRange.Plex.h ../../src/rpsl/gnu/std.h \
 ../../src/rpsl/gnu/Pix.h ../../src/rpsl/gnu/PrefixRange.defs.h \
 ../../src/normalform/FilterOfSymbol.hh \
 ../../src/normalform/SetOfSymbol.hh \
 ../../src/normalform/SymbolConjunct.hh \
 ../../src/rpsl/gnu/SetOfSymID.hh ../../src/rpsl/gnu/SymID.VHSet.h \
 ../../src/rpsl/gnu/SymID.Set.h ../../src/rpsl/gnu/SymID.defs.h \
 ../../src/rpsl/rpsl/symbols.hh ../../src/Core/util/Allocator.hh \
 ../../src/Core/util/xstring.h \
 ../../src/gnug++/SymbolConjunctPtr.SplayBag.h \
 ../../src/gnug++/SymbolConjunctPtr.Bag.h \
 ../../src/gnug++/SymbolConjunctPtr.defs.h \
 ../../src/gnug++/SymbolConjunctPtr.SplayNode.h \
 ../../src/rpsl/rpsl/rpsl.hh ../../src/normalform/FilterOfASPath.hh \
 ../../src/re2dfa/regexp_nf.hh ../../src/rpsl/rpsl/regexp.hh \
 ../../src/rpsl/rpsl/rangelist.hh ../../src/rpsl/rpsl/rpsl_item.hh \
 ../../src/re2dfa/re2dfa.h ../../src/normalform/FilterOfCommunity.hh \
 ../../src/normalform/community.hh ../../src/gnug++/unsigned.OXPSet.h \
 ../../src/gnug++/unsigned.Set.h ../../src/gnug++/unsigned.defs.h \
 ../../src/gnug++/unsigned.XPlex.h ../../src/gnug++/unsigned.Plex.h \
 ../../src/gnug++/std.h
int.int.Map.o: int.int.Map.cc ../../src/config.h int.int.Map.h Pix.h \
 int.defs.h
int.int.VHMap.o: int.int.VHMap.cc ../../src/config.h int.int.VHMap.h \
 int.int.Map.h Pix.h int.defs.h
unsigned.OXPSet.o: unsigned.OXPSet.cc ../../src/config.h \
 unsigned.OXPSet.h unsigned.Set.h Pix.h unsigned.defs.h \
 unsigned.XPlex.h unsigned.Plex.h std.h
unsigned.Plex.o: unsigned.Plex.cc ../../src/config.h unsigned.Plex.h \
 Pix.h unsigned.defs.h
unsigned.Set.o: unsigned.Set.cc ../../src/config.h unsigned.Set.h \
 Pix.h unsigned.defs.h
unsigned.XPlex.o: unsigned.XPlex.cc ../../src/config.h \
 unsigned.XPlex.h unsigned.Plex.h std.h Pix.h unsigned.defs.h
CacheKey.CacheValue.AVLMap.o: CacheKey.CacheValue.AVLMap.cc \
 CacheKey.CacheValue.AVLMap.h CacheKey.CacheValue.Map.h Pix.h \
 CacheKey.defs.h ../../src/config.h ../../src/irr/cache_value.hh
CacheKey.CacheValue.Map.o: CacheKey.CacheValue.Map.cc \
 CacheKey.CacheValue.Map.h Pix.h CacheKey.defs.h ../../src/config.h \
 ../../src/irr/cache_value.hh
Regex.o: Regex.cc
regex.o: regex.c ../../src/config.h regex.h
BitSet.o: BitSet.cc
AllocRing.o: AllocRing.cc
builtin.o: builtin.cc
gcd.o: gcd.cc
fmtq.o: fmtq.cc
# DEPENDENCIES MUST END AT END OF FILE
# IF YOU PUT STUFF HERE IT WILL GO AWAY
# see make depend above
